package com.inspect.ivs.domain;

import java.io.Serializable;

public class MediaResult implements Serializable {
   private String resultCode;
   private String code;

   public void setCode(String code) {
      this.resultCode = this.code = code;
   }

   public String getResultCode() {
      return this.resultCode;
   }

   public String getCode() {
      return this.code;
   }

   public void setResultCode(String resultCode) {
      this.resultCode = resultCode;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof MediaResult)) {
         return false;
      } else {
         MediaResult other = (MediaResult)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$resultCode = this.getResultCode();
            Object other$resultCode = other.getResultCode();
            if(this$resultCode == null) {
               if(other$resultCode != null) {
                  return false;
               }
            } else if(!this$resultCode.equals(other$resultCode)) {
               return false;
            }

            Object this$code = this.getCode();
            Object other$code = other.getCode();
            if(this$code == null) {
               if(other$code != null) {
                  return false;
               }
            } else if(!this$code.equals(other$code)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof MediaResult;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $resultCode = this.getResultCode();
      result = result * 59 + ($resultCode == null?43:$resultCode.hashCode());
      Object $code = this.getCode();
      result = result * 59 + ($code == null?43:$code.hashCode());
      return result;
   }

   public String toString() {
      return "MediaResult(resultCode=" + this.getResultCode() + ", code=" + this.getCode() + ")";
   }
}
